unit Unit1;

interface

uses
  Windows, SysUtils, Messages, Classes, Graphics, Controls, Forms, Dialogs, 
  StdCtrls, Buttons, DBCtrls, EDBDate, Mask, ExtCtrls, DBTables, DB;

type
  TForm1 = class(TForm)
    Table1: TTable;
    DataSource1: TDataSource;
    Table1Nome: TStringField;
    Table1Nascimento: TDateField;
    Panel2: TPanel;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    DBEdit1: TDBEdit;
    DBDateEdit1: TEvDBDateEdit;
    CheckBox1: TCheckBox;
    DBNavigator1: TDBNavigator;
    procedure FormCreate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure DBDateEdit1DateError(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Table1.DatabaseName := ExtractFilePath(Application.ExeName);
  Table1.Open;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.State = cbChecked then
    DBDateEdit1.AssumeDefault := True
  else
    DBDateEdit1.AssumeDefault := False;
end;

procedure TForm1.DBDateEdit1DateError(Sender: TObject);
begin
  ShowMessage('Esta data  invlida.');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Table1.Close;
end;

end.
